Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.ds
Class ArrayRecords

    java.lang.Object
      |
      +--cnrg.itx.ds.ArrayRecords

public class ArrayRecords
extends java.lang.Object

This class is used to hold returned record entries from the directory database

Constructor Summary
`ArrayRecords()` Default constructor

Method Summary
`void` | `add(byte[] newValue)` Add a new element to the end of the list
`void` | `add(java.lang.String newValue)` Add a new element to the end of the list
`int` | `count()` Get the number of elements.
`java.lang.String` | `first()` Get the first element (also Reset to the first element position)
`java.lang.String` | `next()` Get the next element.
`void` | `reset()` Reset to the first element position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayRecords

    public ArrayRecords()

  Default constructor

Method Detail

### count

    public int count()

  Get the number of elements. Zero implies empty list.
  Returns:
    number of elements

### reset

    public void reset()

  Reset to the first element position

### first

    public java.lang.String first()

  Get the first element (also Reset to the first element position)
  Returns:
    the first element in the list

### next

    public java.lang.String next()

  Get the next element. Returms NULL if call Next on the last element. NOTE: To traverse the list from the beginning, call first(), then calling next() to traverse to the end of the list
  Returns:
    the next element in the list

### add

    public void add(byte[] newValue)

  Add a new element to the end of the list
  Parameters:
    `newValue` - the new element to be added to the list

### add

    public void add(java.lang.String newValue)

  Add a new element to the end of the list
  Parameters:
    `newValue` - the new element to be added to the list

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD